Summary:	Last.fm web radio player
Name:		lastfm-player
Version:	2.1.36
Release:	%mkrel 1
Epoch:		1
License:	GPLv2+
Group:		Sound/Players 
Url:		http://www.last.fm/download/
# github release:
# https://github.com/lastfm/lastfm-desktop/archive/%version.tar.gz
Source0:	lastfm-desktop-%version.tar.gz
Source1:	icons.tar.gz
Patch0:		lastfm-desktop-2.1.36-ffmpeg2-build-fix.patch
BuildRequires:	qt4-devel >= 2:4.8.0 qt4-linguist
BuildRequires:	qtwebkit-devel
BuildRequires:	libalsa-devel
BuildRequires: fftw3-devel libsamplerate-devel
BuildRequires:	libgpod-devel
BuildRequires:	liblastfm-devel >= 1.0.6
BuildRequires:	ffmpeg-devel
Provides:	player = %{version}-%{release}
Obsoletes:	player < %{version}-%{release}
Requires:	phonon-backend

%description
This is the custom radio player program for last.fm, formerly known as
audioscrobbler.com.

%prep
%setup -q -a 1 -n lastfm-desktop-%version
%apply_patches

chmod -R +r .
perl -pi -e "s|\r\n|\n|" ChangeLog.txt

%build
%{qt4dir}/bin/qmake -r -config release
%make CXX="g++ -fPIC $(pkg-config --cflags libgpod-1.0)" libdir=%{_libdir} datadir=%{_datadir}

cd i18n
%{qt4dir}/bin/lrelease *.ts

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%_bindir,%{_libdir}/}
cp -r _bin %{buildroot}%{_libdir}/%{name}
cat << EOF > %{buildroot}%_bindir/%{name}
#!/bin/sh
RUNDIR="%{_libdir}/%{name}"
export LD_LIBRARY_PATH="\${RUNDIR}\${LD_LIBRARY_PATH:+:\$LD_LIBRARY_PATH}"
exec "\${RUNDIR}/lastfm-scrobbler" "$@"
EOF
install -d -m 755 %{buildroot}%{_datadir}/services
cat > %{buildroot}%{_datadir}/services/lastfm.protocol << EOF
[Protocol]
 exec=%_bindir/%{name} "%u"
 protocol=lastfm
 input=none
 output=none
 helper=true
 listing=
 reading=false
 writing=false
 makedir=false
 deleting=false
EOF

mkdir -p %{buildroot}%{_datadir}/applications
# (cg) Ensure the name is last.fm.desktop to match the binary name.
#      This allows PulseAudio to parse the .desktop file for extra metadata.
cat > %{buildroot}%{_datadir}/applications/last.fm.desktop << EOF
[Desktop Entry]
Name=Last.FM Player
Comment=Play the last.fm internet radio
Exec=%{name} %U
Icon=lastfm
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;AudioVideo;Audio;Player;X-MandrivaLinux-CrossDesktop;
EOF

mkdir -p %{buildroot}%{_datadir}/icons
cp -r icons/hicolor %{buildroot}%{_datadir}/icons/hicolor
find %{buildroot} -name .svn |xargs rm -rf

mkdir -p %buildroot%_libdir/%name/i18n
cp i18n/*.qm %buildroot%_libdir/%name/i18n
cp app/client/Last.fm\ Scrobbler.css %buildroot%_libdir/%name

#gw else on my GNOME machine the phonon backend isn't found:
ln -s %_libdir/kde4/plugins/phonon_backend/ %buildroot%_libdir/%name

%files
%doc COPYING README.md
%attr(755,root,root) %_bindir/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/lastfm*
%{_libdir}/%{name}
%{_datadir}/services/lastfm.protocol


%changelog
* Fri Jan 10 2014 gw666 <gw666> 1:2.1.36-1.mga4
+ Revision: 566167
- new version
- new source URL
- patch to fix build with ffmpeg 2.x
- don't rename the binary anymore
- new version
- update icons
- drop all patches
- update build deps
- fix phonon backend detection

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:1.5.4.27091-6.mga3
+ Revision: 356640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 barjac <barjac> 1:1.5.4.27091-5.mga3
+ Revision: 336297
- changed group in line with new policy
- cleaned spec
- fixed build with several patches adding/correcting #includes

  + dmorgan <dmorgan>
    - Fix  build with latest gcc

* Fri Mar 11 2011 colin <colin> 1:1.5.4.27091-3.mga1
+ Revision: 68296
- Clean spec
- Change .desktop file name to match binary name (aids PulseAudio property augmentation)
- Add PulseAudio metadata to .desktop file
- imported package lastfm-player


* Wed Dec 08 2010 Götz Waschk <waschk@mandriva.org> 1:1.5.4.27091-3mdv2011.0
+ Revision: 616310
- fix a crash

* Tue Dec 07 2010 Götz Waschk <waschk@mandriva.org> 1:1.5.4.27091-2mdv2011.0
+ Revision: 613565
- add  more debian patches
 * hide loved radio
 * fix ipod scrobbling
- replace patch 101 by debian version

* Fri Nov 26 2010 Götz Waschk <waschk@mandriva.org> 1:1.5.4.27091-1mdv2011.0
+ Revision: 601547
- use updated tarball with correct version number
- put in crossdesktop category, as this is the only working last.fm application

* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 1:1.5.4.26862-4mdv2011.0
+ Revision: 592808
- new source snapshot
- rediff patches 0,15,52
- patch 101: build fix for gcc 4.5
- update file list

* Tue Oct 26 2010 Colin Guthrie <cguthrie@mandriva.org> 1:1.5.4.26862-3mdv2011.0
+ Revision: 589471
- fix CVE-2010-3362 properly (shell expansion at runtime, not build time)

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.5.4.26862-2mdv2011.0
+ Revision: 587885
- fix CVE-2010-3362 (debian)

* Tue Oct 19 2010 Götz Waschk <waschk@mandriva.org> 1:1.5.4.26862-1mdv2011.0
+ Revision: 586717
- fix make call
- remove files that shouldn't be packaged
- fix patches for backports
- new snapshot
- update patches from the Debian package

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 1:1.5.1.31879-3mdv2009.1
+ Revision: 331122
- rebuild for new libgpod

* Thu Jul 24 2008 Götz Waschk <waschk@mandriva.org> 1:1.5.1.31879-2mdv2009.0
+ Revision: 245080
- move icons to the right dir

  + Funda Wang <fwang@mandriva.org>
    - clearify the license

* Thu Jul 17 2008 Funda Wang <fwang@mandriva.org> 1:1.5.1.31879-1mdv2009.0
+ Revision: 236740
- New version 1.5.1.31879
- synch patches

  + Götz Waschk <waschk@mandriva.org>
    - fix source URL

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 1:1.4.2.58240-3mdv2009.0
+ Revision: 194163
- fix typo in startup script

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 1:1.4.2.58240-2mdv2009.0
+ Revision: 194054
- fix wrapper script (Moobyfr)

* Mon Apr 14 2008 Götz Waschk <waschk@mandriva.org> 1:1.4.2.58240-1mdv2009.0
+ Revision: 193156
- fix build on x86_64
- *** empty log message ***
- new version
- sync patches with the debian package
- update buildrequires
- fix build and installation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 05 2007 Götz Waschk <waschk@mandriva.org> 1:1.3.2.13-1mdv2008.1
+ Revision: 95558
- new version
- update patches

* Tue Sep 11 2007 Götz Waschk <waschk@mandriva.org> 1:1.3.1.0-2mdv2008.0
+ Revision: 84577
- fix browser selection patch
- fix menu category
- drop patch 20, fixing bug #33463
- remove unused patches

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Jul 24 2007 Funda Wang <fwang@mandriva.org> 1:1.3.1.0-1mdv2008.0
+ Revision: 54883
- Enable browser selection patch
- refresh patches
- New version

* Sat May 19 2007 Olivier Blin <oblin@mandriva.com> 1:1.1.3-2mdv2008.0
+ Revision: 28409
- add back menu macros


* Tue Apr 03 2007 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
+ Revision: 150239
- fix buildrequires
- no more update-menus

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 1.1.3
    - Remove patches 0 (no longer needed), 10 (merged)
    - Update patches 2, 3, 4, 5, 6, 9, 13
    - Patch0 (mehercule): fix user config path
    - Patch14 (mehercule): fix translations support
    - Patch15 (mehercule): Add 22x22 tray icon

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1:1.0.9.6-1mdv2007.1
+ Revision: 112420
- Import lastfm-player

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1.0.9.6-1mdv2007.1
- synchronize patches with Debian
- new version

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 1.0.0.1-0.2113.2mdv2007.0
- fix crash on play by switching to oss

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 1:1.0.0.1-0.2113.1mdv2007.0
- drop patch
- new version

* Thu Jun 29 2006 Götz Waschk <waschk@mandriva.org> 1.1.90-0.2099.3mdv2007.0
- fix xdg menu

* Wed Jun 28 2006 Götz Waschk <waschk@mandriva.org> 1.1.90-0.2099.2mdv2007.0
- fix build with gcc 4.1
- xdg menu

* Fri Apr 07 2006 Götz Waschk <waschk@mandriva.org> 1.1.90-0.2099.1mdk
- drop patch
- change license to GPL
- new snapshot

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 1.1.5-0.1988.1mdk
- fix build on x86_64
- new version

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-0.1933.1mdk
- new version

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 1.1.3-0.1907.1mdk
- new version

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 1.1.1-0.1892.3mdk
- fix buildrequires

* Sun Dec 11 2005 Anssi Hannula <anssi.hannula@gmail.com> 1.1.1-0.1892.2mdk
- fix lib64 build

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 1.1.1-0.1892.1mdk
- fix build
- ne version

* Sat Oct 01 2005 Götz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- new version

* Tue Aug 16 2005 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdk
- fix qmake call
- fix the version number

* Sat Aug 13 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.4mdk
- fix the program icons

* Sat Aug 13 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.3mdk
- add KDE protocol handler (Nick Brown)

* Sat Aug 13 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.2mdk
- rename from player

* Sat Aug 13 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.1mdk
- initial package

